QGIS Application - Bug report #14314
Geoprocessing Difference is too limited?
2016-02-16 09:35 AM - Yuri Oliveira Victorazzi

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.6.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 22304
Description

| have a problem with QGIS 2.6's Difference Geoprocessing feature. In my project, | have to cut hundreds or thousands of small vector
polygons from a bigger polygon area, the small being trees and the big one a region. For some reason if the bigger polygon area is too
massive the process seems to fail and create a dump file, which is the one as follows (about 27,7MB):

https://drive.google.com/file/d/0B6g9LoftRVG4LUIJaFNPUkdoU2M/view?usp=sharing

Is there any limit for this tool that makes it not even try to process the data?

History

#1 - 2016-02-20 12:45 AM - Saber Razmjooei
- Status changed from Open to Feedback
- Category set to 44

Could you try with 2.12 or master and report back?

#2 - 2016-03-02 07:26 AM - Yuri Oliveira Victorazzi
I've fixed the problem by using the Dissolve tool in the tree layer. If | use a dissolved layer, it processes properly. Which makes no sense to me, since it is

still a massive ammount of minuscule polygons that are distant from each other, but it works, so all good.

Thanks for answering.

#3 - 2016-03-02 07:32 AM - Paolo Cavallini
- Resolution set to invalid
- Status changed from Feedback to Closed

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
